
// MFCDlg.h : header file
//

#pragma once
#include "afxwin.h"

#include "WOOSIM_PRINTER_LIB.h"
#include "afxcmn.h"
#pragma comment(lib, "WoosimPrinter.lib")

// CMFCDlg dialog
class CMFCDlg : public CDialog
{
// Construction
public:
	CMFCDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_MFC_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

public:
	CFont m_font;
	LOGFONT Logfont;
	CFont m_font2;
	LOGFONT Logfont2;
	CFont m_font3;
	LOGFONT Logfont3;
	CString strDataHex;

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnCbnSelchangeCombo2();
	CComboBox m_cb1;
	CComboBox m_portCtrl;
	CComboBox m_baudCtrl;
	CComboBox m_msrCtrl;
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton7();
	afx_msg void OnBnClickedButton11();
	afx_msg void OnBnClickedButton8();
	afx_msg void OnBnClickedButton10();
	afx_msg void OnBnClickedButton12();
	afx_msg void OnBnClickedButton15();
	afx_msg void OnBnClickedOk();
	CString m_strMsg;
	CString m_strReceivedata;
protected:
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);
public:
	CIPAddressCtrl m_ipCtrl;
	afx_msg void OnBnClickedButton9();
};
